DO $$ 
	DECLARE _path character varying(256) = 'patch-2024-06-17-License-Status';

	BEGIN
		IF EXISTS (SELECT "Id" FROM public."Versions" WHERE "Path"=_path) THEN
			RETURN;
		END IF;

		IF EXISTS (SELECT "Id" FROM public."Versions" WHERE "Build">=4199) THEN
			RETURN;
		END IF;

		BEGIN
			ALTER TABLE  public."Licenses" ADD "Status" int;
			update public."Licenses" SET "Status"=1;
			INSERT INTO public."Versions" ("Path", "Build") VALUES (_path, 0);

			EXCEPTION
				WHEN OTHERS THEN RAISE NOTICE '[ERR] patch-2024-06-17-License-Status: %', SQLERRM;
		END;
	END;
$$
